Support Center

Name is required.
Email address is required.
Invalid email address
Answer is required.
Exceeding max length of 5KB

Java 8 Compatibility With Liquid Notes Needed Pronto

Tony DeFusco Jan 28, 2015 02:48PM CET

When will Liquid Notes be compatible with Java 8?

As of this week, Oracle is now pushing Java 8 Update 31 on Windows users. The installer will remove any previous version of Java from the user's system. Re-Compose should expedite the process of updating Liquid Notes to get it running properly under Java 8, lest they want a lot of unhappy registered users on their hands. Prospective new customers will also shy away when they learn that Liquid Notes is not yet Java 8 compatible.

5 Community Answers

Best Answer
Liquid Notes May 04, 2015 09:25PM CEST

Hi everyone,

This is an update in response to the conversation earlier.

We have released updates to the Windows versions of Liquid Notes (1.5.3.4) and Liquid Notes for Live (1.1.0.4), which are now compatible with Java 8 on Windows. These versions are also fully backwards compatible with Java 6 and 7, so Win XP users can continue using the software.

Please grab the update from our website at - http://www.re-compose.com/customer-support-for-recompose-products.html#file-download-liquid-notes

You may want to also grab the latest update of Java from Oracle's website - https://java.com/download

All the best,
Roland

Customer Support

View in conversation


Up 0 rated Down
Liquid Notes Jan 28, 2015 03:17PM CET RE-COMPOSE Agent
Hi Tony,

Many thanks for reaching out to us, and notifying us about this change.

The version you mention, Java 8 Update 31, has been pushed by Oracle as of last week already. We are aware that Oracle is now taking bigger strides in pushing Java 8 across all platforms, and that further development of Java 7 will be discontinued by April 2015.

However, this doesn't mean that Java 7, as is currently used on Windows, won't be supported anymore. We are working on establishing compatibility with Java 8 over the next days/weeks, yet this requires thorough testing as different hardware configurations may result in so called 'java nullpointer'-errors. This is currently being investigated, and as long as those problems aren't solved we aren't able to push an update.
Note that there have been problems in the past with Java 6 that resulted in some users not being able to save project files, etc.

We understand the need to make Liquid Notes compatible with Java 8, yet at the same time we need to ensure the software works without problems with that version of Java.

We'll update you shortly on this issue, and will also verify if older versions of Java are removed by the installer.

Thanks for your patience,
Roland

Customer Support
Up 0 rated Down
Liquid Notes Jan 28, 2015 06:22PM CET RE-COMPOSE Agent
Hi Tony,

Thanks again for the message that you posted to our site today.

We have now run the installer for Java 8 Update 31 on our Win 7 / 8 machines, and can confirm the behavior reported by you. While it didn't uninstall the Java 7 Update 75 on those machines, it did present a warning message saying that old versions of Java pose a serious security threat which puts our machines at risk.

We are not the developers of Java, so certainly we don't have the insight to comment on making such claims. However, we can totally see how this will make users insecure about Liquid Notes not being compatible with the latest update of Java yet.

We're working on this issue, thanks again for pointing it out to us!

All the best,
Roland

Customer Support
Up 0 rated Down
Fallen Highway Feb 11, 2015 03:14AM CET
Hi Guys - I get "This application requires a Java Runtime Environment 1.60 - 1.7.0_71 - I have java 8

As I recently purchased Liquid Notes I would expect it to be working immediately.

Can you please advise of when a fix will be applied or provide us with a temporary work around (downgrading Java is not an option)
Up 0 rated Down
Liquid Notes Feb 11, 2015 09:07AM CET RE-COMPOSE Agent
Hi Fallen,

Thanks for reaching out to us, and thanks for your purchase of Liquid Notes.

Liquid Notes does work immediately, however as we state on our website Java 8 is currently not supported. We are aware of this issue, however are still chasing problems related to Java 8 behaving differently on a select few customers' machine which results in errors when using Liquid Notes.
This is a somewhat lengthy procedure, as it requires a deep analysis of the customer's machine remotely and mostly out of business hours, as these customers are spread around the globe.

We can't give you a fixed date for the new version to be released, as it depends on these issues to be resolved.

Also, there is no need for you to downgrade to an earlier version of Java - you may simply add an older version in parallel to Java 8, which is only used by Liquid Notes. Find these instructions here - http://re-compose.desk.com/customer/portal/articles/1606813-i-get-an-error-%22an-unexpected-error-occurred-%22-when-launching-liquid-notes-for-live-

As soon as the Java 8 compatible version of Liquid Notes is released, we'll send along instructions on how to uninstall older versions of Java.

All the best,
Roland

Customer Support
Up 0 rated Down
Liquid Notes Best Answer May 04, 2015 09:25PM CEST RE-COMPOSE Agent
Hi everyone,

This is an update in response to the conversation earlier.

We have released updates to the Windows versions of Liquid Notes (1.5.3.4) and Liquid Notes for Live (1.1.0.4), which are now compatible with Java 8 on Windows. These versions are also fully backwards compatible with Java 6 and 7, so Win XP users can continue using the software.

Please grab the update from our website at - http://www.re-compose.com/customer-support-for-recompose-products.html#file-download-liquid-notes

You may want to also grab the latest update of Java from Oracle's website - https://java.com/download

All the best,
Roland

Customer Support

This question has received the maximum number of answers.

support@re-compose.com
http://assets3.desk.com/
false
re-compose
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete